SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001677SiT!billingpublic2011-08-08 15:112013-07-06 17:08
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001677: Contract page inconsistant when SLA changed from non-timed to timed
DescriptionIf a contract is created with an SLA that is not timed at all and then later the SLA is changed to Timed, the contract page and the edit balance/edit service pages show unexpected results.

One would expect that the service that was originally created does not have billing. If that is the case it should not be possible to edit the balance, or if it is possible it should also be possible to edit billing parameters on the service.
Steps To Reproduce* Create a new contract against an SLA that is not timed
* Change the SLA to be timed for at least one priority
* View the contract page and see the balance for the service is 0.00
* Click 'Edit Service'
* see that it is not possible to edit the service with relation to billing
* return to the contract page
* Click 'Edit Balance'
* Add 100.00 to the balance
* return to the contract page
* see the balance for the service is now 100.00
* Click 'Edit Service'
* see that it is not possible to edit the service with relation to billing
Additional InformationAlso, if a subsequent service record is created, there is no option given for billing parameters. I presume this is related.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004190)
ivan (administrator)
2011-08-08 15:12

Perhaps it should not be possible to change an SLA timed/non-timed once it's being used?
User avatar (0004773)
paulh (administrator)
2013-04-21 19:31

034e941 prevents you from changing a contract from timed to non timed (or vica versa) as I agree this is a bad idea and will lead to a confusion etc

- Issue History
Date Modified Username Field Change
2011-08-08 15:11 ivan New Issue
2011-08-08 15:12 ivan Note Added: 0004190
2013-04-21 19:31 paulh Note Added: 0004773
2013-04-21 19:31 paulh Assigned To => paulh
2013-04-21 19:31 paulh Status new => resolved
2013-04-21 19:31 paulh Resolution open => fixed
2013-04-21 19:31 paulh Fixed in Version => Current GIT
2013-07-06 17:08 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker